server {
    listen 80;

    location / {
        proxy_pass http://frontend:4200;
        proxy_set_header Host $host;
        proxy_set_header Upgrade    $http_upgrade;
        proxy_set_header Connection $http_connection;
    }

    location /capability {
        proxy_pass http://capability:3457;
        proxy_http_version 1.1;
        proxy_set_header Upgrade $http_upgrade;
        proxy_set_header Connection 'upgrade';
        proxy_set_header Host $host;
        proxy_cache_bypass $http_upgrade;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
    }

    location /workflows {
        proxy_pass https://workflow:3456;
        proxy_redirect default;
        proxy_set_header Host $http_host;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
    }

    location ~ ^/dl/(?:(.*))/(?:(.*)) {
        alias /tmp/delivery_root/$1/$2;
        autoindex on;
        autoindex_exact_size off;
        autoindex_format html;
        autoindex_localtime on;
    }
}
